/* Task row colour states */
.task-row-not-started td,
.task-row-not-started td * {
    color: #f11717 !important; /* red-500 */
}

.task-row-in-progress td,
.task-row-in-progress td * {
    color: #eab308 !important; /* yellow-500 */
}

.task-row-completed td,
.task-row-completed td * {
    color: #058d62 !important; /* green-500 */
}

/* Dark mode */
@media (prefers-color-scheme: dark) {
    .task-row-not-started td,
    .task-row-not-started td * {
        color: #f87171 !important; /* red-400 */
    }

    .task-row-in-progress td,
    .task-row-in-progress td * {
        color: #facc15 !important; /* yellow-400 */
    }

    .task-row-completed td,
    .task-row-completed td * {
        color: #4ade80 !important; /* green-400 */
    }
}
